Page MenuHomePhabricator

Enable basic Vega display in VisualEditor
Closed, ResolvedPublic1 Story Points

Description

Right now, Vega specs are processed as MWAlienExtensionNodes in VE.

A new node type, MWGraphNode, will be created, extended from MWBlockExtensionNode. This will enable basic display of a Vega spec within VE, as it currently happens on read mode.

Details

Related Gerrit Patches:
mediawiki/extensions/Graph : masterRender Vega specifications inside VisualEditor
mediawiki/extensions/Graph : masterRender Vega specifications inside VisualEditor

Event Timeline

ferdbold claimed this task.
ferdbold raised the priority of this task from to Needs Triage.
ferdbold updated the task description. (Show Details)
ferdbold moved this task to Backlog on the Graph-VisualEditor board.
ferdbold added a subscriber: ferdbold.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2015, 6:41 PM

Change 213607 had a related patch set uploaded (by Ferdbold):
[WIP] Render Vega specifications inside VisualEditor

https://gerrit.wikimedia.org/r/213607

ferdbold triaged this task as Normal priority.May 25 2015, 7:56 PM
ferdbold set Security to None.

Change 213607 abandoned by Ferdbold:
Render Vega specifications inside VisualEditor

Reason:
This has been squashed into
Change-Id I25b9bbe5df804dd2d146ce6a2b28dcc155ce10fc

https://gerrit.wikimedia.org/r/213607

Change 215668 had a related patch set uploaded (by Ferdbold):
Render Vega specifications inside VisualEditor

https://gerrit.wikimedia.org/r/215668

Change 215668 merged by jenkins-bot:
Render Vega specifications inside VisualEditor

https://gerrit.wikimedia.org/r/215668

Jdforrester-WMF closed this task as Resolved.Jun 18 2015, 9:53 PM
Jdforrester-WMF edited projects, added VisualEditor, User-notice; removed Patch-For-Review.
Jdforrester-WMF edited a custom field.